CyberLink Community Forum
where the experts meet
| Advanced Search >
Power2Go 11 Update
Reply to this topic
[Post New]
When to use my software this morning & noticed that there was an update available. I went through the entire process a couple of times, but was unable to udate software.

Data1.7z file couldn't be installed, the error code was 2

is there going to be a problem if I don't upgrade the software, because it seems to be working fine
Reply
stevek
Senior Contributor Private Message Location: Houston, Texas USA Joined: Jan 25, 2011 12:18 Messages: 4628 Offline
[Post New]
Quote When to use my software this morning & noticed that there was an update available. I went through the entire process a couple of times, but was unable to udate software.

Data1.7z file couldn't be installed, the error code was 2

is there going to be a problem if I don't upgrade the software, because it seems to be working fine

Here is what the update "fixes"
Note: This patch is not for Power2Go OEM versions, or versions purchased via Steam.

  • Adds support on Windows 10 Fall Creators Update platforms.

  • Resolves the issue that certain YouTube videos cannot back up in 2160P (4K) quality.

  • Minor bug fixes.


If it is working fine AND you have the Windows 10 fall update, then your probably don't need it. .
.
BoilerPlate: To posters who ask for help -- it is nice to thank the volunteers who try to answer your questions !
Anything I post unless stated with a reference is my personal opinion.
Reply
Palfrey [Avatar]
Newbie Private Message Joined: Mar 24, 2018 05:14 Messages: 1 Offline
[Post New]
Seems to be a waste of everyone's time when Cyberlink provides updates that won't install, especially when the problem is something straightforward: in this case, the downloaded file won't extract. There's probably a simple fix, if only someone at Cyberlink would give it a bit of attention and fix it.
Reply
Tick [Avatar]
Newbie Private Message Joined: Jun 21, 2018 14:48 Messages: 2 Offline
[Post New]
I just had this problem. I had to explicitely run the patch as as admin ( rightclick / run as administrator ) to get by the error message. Updating doesn't seem to have fixed my actual problem, though.
Reply
Reply to this topic
Powered by JForum 2.1.8 © JForum Team